#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeplasmaver	6.4.2
%define		qtver		5.15.2
%define		kpname		libkscreen

Summary:	KDE screen management software
Name:		kp6-%{kpname}
Version:	6.4.2
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	9dd5de723d7f0b599eae16a222e6608a
URL:		http://www.kde.org/
BuildRequires:	Qt6Core-devel >= %{qtver}
BuildRequires:	cmake >= 3.16.0
BuildRequires:	plasma-wayland-protocols-devel >= 1.16.0
BuildRequires:	kf6-extra-cmake-modules
BuildRequires:	ninja
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	xz
Obsoletes:	kp5-%{kpname} < 6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt6dir		%{_libdir}/qt6

%description
KDE screen management software.

%package devel
Summary:	Header files for %{kpname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kpname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	kp5-%{kpname}-devel < 6

%description devel
Header files for %{kpname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kpname}.

%prep
%setup -q -n %{kpname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir}
%ninja_build -C build

%if %{with tests}
ctest
%endif

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kpname}6_qt --all-name --with-qm

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{kpname}6_qt.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kscreen-doctor
%attr(755,root,root) %{_prefix}/libexec/kf6/kscreen_backend_launcher
%dir %{_libdir}/qt6/plugins/kf6/kscreen
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kscreen/KSC_Fake.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kscreen/KSC_QScreen.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kscreen/KSC_XRandR.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kscreen/KSC_KWayland.so
%{_datadir}/dbus-1/services/org.kde.kscreen.service
%{_datadir}/qlogging-categories6/libkscreen.categories
%{systemduserunitdir}/plasma-kscreen.service
%{zsh_compdir}/_kscreen-doctor
%attr(755,root,root) %{_libdir}/libKF6Screen.so.*.*
%ghost %{_libdir}/libKF6Screen.so.8
%attr(755,root,root) %{_libdir}/libKF6ScreenDpms.so.*.*
%ghost %{_libdir}/libKF6ScreenDpms.so.8

%files devel
%defattr(644,root,root,755)
%{_libdir}/libKF6Screen.so
%{_libdir}/libKF6ScreenDpms.so
%{_includedir}/KF6/KScreen
%{_includedir}/KF6/kscreen_version.h
%{_libdir}/cmake/KF6Screen
%{_pkgconfigdir}/KF6Screen.pc
%changelog
* Fri Jul 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp6-libkscreen.git;a=log;h=master

* Tue Jul 01 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 1a7154d
- updated to 6.4.2

* Tue Jun 24 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 99834af
- updated to 6.4.1

* Tue Jun 17 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 6157b7f
- updated to 6.4.0

* Wed May 07 2025 Witold Filipczyk <witekfl@poczta.onet.pl> e8f1c45
- updated to 6.3.5

* Wed Apr 02 2025 Witold Filipczyk <witekfl@poczta.onet.pl> d9453a4
- updated to 6.3.4

* Sun Mar 16 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 28c3123
- updated to 6.3.3

* Thu Feb 27 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 5be9ad7
- updated to 6.3.2

* Thu Feb 20 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 1ef6c22
- updated to 6.3.1

* Wed Feb 12 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 4579075
- updated to 6.3.0

* Wed Jan 01 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 903f971
- updated to 6.2.5

* Tue Nov 26 2024 Witold Filipczyk <witekfl@poczta.onet.pl> cd0cd36
- updated to 6.2.4

* Tue Nov 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 7f5e232
- updated to 6.2.3

* Tue Oct 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> ea5344f
- updated to 6.2.2

* Tue Oct 15 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 981436b
- updated to 6.2.1

* Tue Oct 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> e872eb4
- updated to 6.2.0

* Tue Sep 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> b815903
- updated to 6.1.5

* Mon Aug 19 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 04a8334
- BR: plasma-wayland-protocols-devel

* Sun Aug 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 3c7bab4
- updated to 6.1.4

* Wed Jul 17 2024 Witold Filipczyk <witekfl@poczta.onet.pl> dd33218
- updated to 6.1.3

* Wed Jul 03 2024 Witold Filipczyk <witekfl@poczta.onet.pl> e8e39b8
- updated to 6.1.2

